{
  "kind": "collectionType",
  "collectionName": "blogs",
  "info": {
    "singularName": "blog",
    "pluralName": "blogs",
    "displayName": "blog"
  },
  "options": {
    "draftAndPublish": true
  },
  "attributes": {
    "title": {
      "type": "string",
      "required": true,
      "unique": true
    },
    "author_name": {
      "type": "string",
      "default": "Genii"
    },
    "main_body": {
      "type": "customField",
      "required": true,
      "options": {
        "preset": "defaultMarkdown"
      },
      "customField": "plugin::ckeditor5.CKEditor"
    },
    "publish_at": {
      "type": "datetime"
    },
    "auto_publish": {
      "type": "boolean",
      "default": false,
      "required": true
    },
    "cover_image": {
      "allowedTypes": [
        "images",
        "files"
      ],
      "type": "media",
      "multiple": false
    }
  }
}
